summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/notify-sharp/README9
-rw-r--r--libraries/notify-sharp/doinst.sh38
-rw-r--r--libraries/notify-sharp/notify-sharp.SlackBuild108
-rw-r--r--libraries/notify-sharp/notify-sharp.info10
-rw-r--r--libraries/notify-sharp/slack-desc19
5 files changed, 184 insertions, 0 deletions
diff --git a/libraries/notify-sharp/README b/libraries/notify-sharp/README
new file mode 100644
index 0000000000..20a34d9a3a
--- /dev/null
+++ b/libraries/notify-sharp/README
@@ -0,0 +1,9 @@
+notify-sharp is a C# client implementation for Desktop Notifications, i.e.
+notification-daemon. It is inspired by the libnotify API.
+
+Desktop Notifications provide a standard way of doing passive pop-up
+notifications on the Linux desktop. These are designed to notify the user of
+something without interrupting their work with a dialog box that they must
+close. Passive popups can automatically disappear after a short period of time.
+
+This requires ndesk-dbus-glib and gtk-sharp.
diff --git a/libraries/notify-sharp/doinst.sh b/libraries/notify-sharp/doinst.sh
new file mode 100644
index 0000000000..df314821d4
--- /dev/null
+++ b/libraries/notify-sharp/doinst.sh
@@ -0,0 +1,38 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/somefile.conf.new
+
+# Keep same perms on rc.INIT.new:
+if [ -e etc/rc.d/rc.INIT ]; then
+ cp -a etc/rc.d/rc.INIT etc/rc.d/rc.INIT.new.incoming
+ cat etc/rc.d/rc.INIT.new > etc/rc.d/rc.INIT.new.incoming
+ mv etc/rc.d/rc.INIT.new.incoming etc/rc.d/rc.INIT.new
+fi
+
+config etc/rc.d/rc.INIT.new
+config etc/configfile.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/libraries/notify-sharp/notify-sharp.SlackBuild b/libraries/notify-sharp/notify-sharp.SlackBuild
new file mode 100644
index 0000000000..01a5eff6e2
--- /dev/null
+++ b/libraries/notify-sharp/notify-sharp.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/bash
+
+# Slackware build script for notify-sharp.
+
+# Copyright 2012 Pierre Cazenave <pwcazenave {at} gmail [dor] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=notify-sharp
+VERSION=${VERSION:-0.4.0~r3032}
+SRCVER=${SRCVER:-0.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/${PRGNAM}_${VERSION}.orig.tar.gz
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# We set libdir to /usr/lib because that is where mono lives.
+# We will fix the pkgconfig location on 64bit later.
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Fix pkgconfig location on x86_64.
+if [ "$ARCH" = "x86_64" ]; then
+ mkdir -p $PKG/usr/lib64
+ mv $PKG/usr/lib/pkgconfig $PKG/usr/lib64
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README docs \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/notify-sharp/notify-sharp.info b/libraries/notify-sharp/notify-sharp.info
new file mode 100644
index 0000000000..f19ee3c93b
--- /dev/null
+++ b/libraries/notify-sharp/notify-sharp.info
@@ -0,0 +1,10 @@
+PRGNAM="notify-sharp"
+VERSION="0.4.0-r3032"
+HOMEPAGE="http://www.ndesk.org/NotifySharp"
+DOWNLOAD="https://launchpad.net/ubuntu/quantal/+source/notify-sharp/0.4.0~r3032-5/+files/notify-sharp_0.4.0~r3032.orig.tar.gz"
+MD5SUM="7691cc46f04d0aa13f342a97dd33f0ac"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave {at} gmail [dot] com"
+APPROVED="rworkman dsomero"
diff --git a/libraries/notify-sharp/slack-desc b/libraries/notify-sharp/slack-desc
new file mode 100644
index 0000000000..2b2e72e460
--- /dev/null
+++ b/libraries/notify-sharp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+notify-sharp: notify-sharp (a notification daemon in C#)
+notify-sharp:
+notify-sharp: notify-sharp is a C# client implementation for Desktop
+notify-sharp: Notifications, i.e. notification-daemon. It is inspired by the
+notify-sharp: libnotify API.
+notify-sharp:
+notify-sharp: Desktop Notifications provide a standard way of doing passive
+notify-sharp: pop-up notifications on the Linux desktop. These are designed
+notify-sharp: to notify the user of something without interrupting their
+notify-sharp: work with a dialog box that they must close. Passive popups
+notify-sharp: can automatically disappear after a short period of time.